%define product	kupu
%define name    zope-%{product}
%define version 1.4.6
%define bad_version %(echo %{version} | sed -e 's/\\./-/g')
%define release %mkrel 7

%define zope_minver	2.7

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Cross-browser WYWSIWYG editor
License:	BSDish
Group:		System/Servers
URL:		http://plone.org/products/kupu/
Source:		http://plone.org/products/kupu/releases/%{version}/kupu-%{bad_version}.tgz
Requires:	zope >= %{zope_minver}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Kupu is a cross-browser WYWSIWYG editor. It allows the comfortable
editing of the body of an HTML document. It's client-side (browser)
requirements are one of Mozilla, Internet Explorer or Netscape Navigator.

Server-side can be useful for processing data (CGI or something more fancy
like PHP, ASP or Python scripts in Zope).

Kupu is particularly suited for content migration as well as editing.
Content copied from an existing web page is pasted with all formatting
intact. This includes structure such as headings and lists, plus links,
image references, text styling, and other aspects. Copying text from a
word processor with an HTML clipboard - such as MSWord - works exactly
the same.

Kupu will clean up the content before it is sent to the server, and can
send data to the server asynchronously using PUT (which allows the data
to be saved without reloading the page) as well as in a form.

Kupu can be customized on many different levels, allowing a lot of changes
from CSS, but also providing a JavaScript extension API.


%prep
%setup -c -q
find . -type f -name *.py -o -name *.cgi | xargs \
    perl -pi -e 's|#!/usr/bin/python.*|#!/usr/bin/python2.4|'


%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.4.6-7mdv2010.0
+ Revision: 435584
- rebuild
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.6-5mdv2009.0
+ Revision: 263180
- rebuild
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.6-2mdv2008.1
+ Revision: 171198
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.6-1mdv2008.1
+ Revision: 120606
- Release 1.4.6.

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-1mdv2008.0
+ Revision: 88493
- new version


* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.3.9-1mdv2007.0
+ Revision: 100093
- 1.3.9

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.3.7.plone-1mdv2007.0
+ Revision: 54460
- update to 1.3.7-plone

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.5-2mdv2007.0
+ Revision: 53759
- Increase release
- Fix rpmlint warnings

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - Import zope-kupu

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.5-1mdk
- 1.3.5

* Mon Nov 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.2-2mdk
- clean description

* Sun Nov 20 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.2-1mdk
- New release 1.3.2

* Sun Oct 23 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-1mdk
- New release 1.3.1
- Patch0: drop python version in shell bang

* Mon Aug 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-2mdk
- fix path on x86_64

* Fri Apr 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- New release 1.2.1

* Mon Apr 25 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.2-1mdk
- New release 1.2
- use mkrel

* Mon Jan 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2-0.rc1.1mdk
- initial contrib

